classification
Title: Include version info in Windows shortcuts
Type: enhancement Stage: needs patch
Components: Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: BreamoreBoy, Olive.Kilburn, larry, loewis, ncoghlan, python-dev, srid, terry.reedy, westley.martinez
Priority: normal Keywords: patch

Created on 2010-12-21 11:53 by ncoghlan, last changed 2014-06-22 20:29 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch Olive.Kilburn, 2014-06-06 23:24 review
Messages (10)
msg124427 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-12-21 11:53
This issue is to propose specific wording to Martin for inclusion of version details in the Windows shortcuts. This is to make the shortcuts easier to use when the hierarchical menu information is lost for any reason (e.g frequently used program list, searching the start menu, copied to desktop).

Shortcuts currently installed:
- Python (command line)
- Python Manuals
- Module Docs
- IDLE (Python GUI)
- Uninstall Python

Initial proposal for 32 bit builds:
- Python 3.2 (command line - 32 bit)
- Python 3.2 Manuals
- Python 3.2 Docs Server (pydoc - 32 bit)
- IDLE (Python 3.2 GUI - 32 bit)
- Uninstall Python 3.2 (32 bit)

Initial proposal for 64 bit builds:
- Python 3.2 (command line - 64 bit)
- Python 3.2 Manuals
- Python 3.2 Docs Server (pydoc - 64 bit)
- IDLE (Python 3.2 GUI - 64 bit)
- Uninstall Python 3.2 (64 bit)

Any feedback/alternate suggestions/bikeshedding on the python-dev thread, please ;)
msg212295 - (view) Author: Westley Martínez (westley.martinez) * Date: 2014-02-26 20:06
I understand this is an old issue. Sorry if it is no longer relevant.

I have usually have at least two versions of Python installed on Windows: 2.x and 3.x.

In Windows 7, if you pin a certain shortcut to the start menu, you can't tell what version of Python is for. I'd like that to be changed. Nick's format looks good.
msg212300 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-02-26 20:39
Makes sense to me. Can someone please add mvl to the nosy list, I don't dare :)  FYI https://mail.python.org/pipermail/python-dev/2010-December/106942.html
msg212311 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-02-26 21:58
Oops,  I forgot to assign this to MvL for a yes/no decision as the maintainer of the Windows installer when I first created it years ago.
 
It's too late for 3.4.0 now, so marking this as one for 3.5. However, if Larry and Martin are amenable, it might also be reasonable to include in the 3.4.1 maintenance release.
msg212312 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-02-26 22:06
One suggestion I like from the thread (thanks for digging up that reference Mark) is to drop the "GUI" from the IDLE shortcut.

The other suggestions I don't think are worth worrying about - these names have been as they are for quite some time, and it's mainly just the parallel 2 vs 3 installations that get a bit confusing.
msg212323 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-02-26 23:03
I don't see any reason not to change the next release of all versions.
My only concern is about the length and whether Windows has a limit for either the start menu or the taskbar tooltip popup

The Doc server icon should be removed from 3.x until it is made to work again (as it still does in latest 2.7). See #14512. But I would prefer that it were fixed.
msg213939 - (view) Author: Olive Kilburn (Olive.Kilburn) * Date: 2014-03-18 03:48
I'm testing a patch for this. This will be the first time I've contributed.
msg219904 - (view) Author: Olive Kilburn (Olive.Kilburn) * Date: 2014-06-06 23:24
The included patch is probably fine, but I have given up testing it, because I think msi.py needs the paid-for version of Microsoft C++ to run.
msg221305 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-22 20:29
New changeset b896fe4b1201 by Martin v. Löwis in branch '3.4':
Issue #10747: Use versioned labels in the Windows start menu.
http://hg.python.org/cpython/rev/b896fe4b1201

New changeset 3ca598c3437f by Martin v. Löwis in branch 'default':
Issue #10747: Merge with 3.4
http://hg.python.org/cpython/rev/3ca598c3437f
msg221306 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-06-22 20:29
Thanks for the patch. Committed as-is to 3.4 and 3.5.
History
Date User Action Args
2014-06-22 20:29:53loewissetstatus: open -> closed
resolution: fixed
messages: + msg221306
2014-06-22 20:29:09python-devsetnosy: + python-dev
messages: + msg221305
2014-06-06 23:24:58Olive.Kilburnsetfiles: + mywork.patch
keywords: + patch
messages: + msg219904
2014-03-18 03:48:57Olive.Kilburnsetnosy: + Olive.Kilburn
messages: + msg213939
2014-02-26 23:03:25terry.reedysetmessages: + msg212323
2014-02-26 22:06:38ncoghlansetmessages: + msg212312
2014-02-26 21:58:19ncoghlansetversions: + Python 3.5, - Python 3.3
nosy: + loewis, larry

messages: + msg212311

assignee: loewis
stage: needs patch
2014-02-26 20:39:30BreamoreBoysetnosy: + BreamoreBoy
messages: + msg212300
2014-02-26 20:06:29westley.martinezsetnosy: + westley.martinez
messages: + msg212295
2011-11-30 02:33:46terry.reedysetnosy: + terry.reedy

versions: + Python 3.3
2011-11-30 00:39:59ncoghlanlinkissue13504 dependencies
2010-12-21 23:40:26sridsetnosy: + srid
2010-12-21 11:53:55ncoghlancreate